OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeHyperbola2d Class Reference

This class implements the mapping between classes
Hyperbola from StepGeom which describes a Hyperbola from
Prostep and Hyperbola from Geom2d.
.

`#include <StepToGeom_MakeHyperbola2d.hxx>`

Inheritance diagram for StepToGeom_MakeHyperbola2d:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeHyperbola2d (const Handle(StepGeom_Hyperbola)&C)
Standard_EXPORT const Handle_Geom2d_Hyperbola & | Value () const
## Private Attributes
Handle_Geom2d_Hyperbola | theHyperbola

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeHyperbola2d::StepToGeom_MakeHyperbola2d | ( | const Handle(StepGeom_Hyperbola)& | C | ) |

## Member Function Documentation

void StepToGeom_MakeHyperbola2d::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeHyperbola2d::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeHyperbola2d::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom2d_Hyperbola& StepToGeom_MakeHyperbola2d::Value | ( |  | ) | const

## Field Documentation

Handle_Geom2d_Hyperbola StepToGeom_MakeHyperbola2d::theHyperbola`[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeHyperbola2d.hxx